package com.ejie.m62fb.ws.util;

import n38a.exe.N38APISesion;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.w3c.dom.Document;

/**
 * * TokenSesion
 * 
XXXX
 */
public class N38TokenUtil {

	private static final Log log = LogFactory.getLog(N38TokenUtil.class);

	/**
	 * Constructor privado
	 */
	private N38TokenUtil() {
	}

	/**
	 * Devuelve un Document con el token de aplicacion sesion
	 * 
	 * @param idAplic
	 *            String
	 * @return Document
	 */
	public static Document getTokenAppXLNets(String idAplic) {
		Document token = null;
		try {
//			String enOficina = UtilProperties.getProperty("enOficina");
//			if (enOficina != null && enOficina.equals("1")) {
//				N38TokenUtil.log.debug("EN OFICINA");
//				return Utilidades.parseStringToDocument(UtilProperties
//						.getProperty("token.oficina"));
//			} else {
				N38APISesion miAPISesion = new N38APISesion();
				Document miSesion;
				miSesion = miAPISesion.n38APISesionCrearApp(idAplic);
				return miSesion;
//			}
		} catch (Exception e) {
			N38TokenUtil.log
					.error("Se ha producido un error al obtener el TokenDocument XLNets.",
							e);
		}
		return token;
	}
}